﻿//////////////////////////////////////////////
// ComplexEffectType.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ----------------------------------

// nkAstraeus
#include "../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/String.h>
#include <NilkinsMemory/Containers/StringView.h>

/// Enum --------------------------------------

namespace nkAstraeus
{
	enum class COMPLEX_EFFECT_TYPE
	{
		UNKNOWN = 0,
		BLUR,
		DOF
	} ;

	class DLL_ASTRAEUS_EXPORT ComplexEffectTypeUtils final
	{
		private :

			ComplexEffectTypeUtils () = delete ;
			~ComplexEffectTypeUtils () = delete ;

		public :

			// Translation
			static nkMemory::StringView enumToString (COMPLEX_EFFECT_TYPE value) ;
			static COMPLEX_EFFECT_TYPE stringToEnum (const nkMemory::StringView& value) ;
	} ;
}